document.addEventListener('DOMContentLoaded', function() {
  // Example function to load recent posts
  const postsContainer = document.getElementById('posts-container');
  const posts = [
    { title: 'First Post', date: '2023-10-01', link: '/blog/first-post' },
    { title: 'Second Post', date: '2023-10-05', link: '/blog/second-post' }
  ];

  posts.forEach(post => {
    const postElement = document.createElement('div');
    postElement.innerHTML = `
      <h3><a href="${post.link}">${post.title}</a></h3>
      <p>${post.date}</p>
    `;
    postsContainer.appendChild(postElement);
  });
});